package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 待激活表     实体类
 * 2017年3月9日
 * @author muzx
 *
 */
public class MachineWaitInit implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = 7769088092185543588L;
    
    private Integer initId;             //Id
    private String initOpenId;          //所属用户
    private String initCode;            //激活码
    private Date initTime;              //生成时间
    private Integer initState;			// 是否已经使用1：未用；2：已用
    
    public Integer getInitId() {
        return initId;
    }
    public void setInitId(Integer initId) {
        this.initId = initId;
    }
    public String getInitOpenId() {
        return initOpenId;
    }
    public void setInitOpenId(String initOpenId) {
        this.initOpenId = initOpenId;
    }
    public String getInitCode() {
        return initCode;
    }
    public void setInitCode(String initCode) {
        this.initCode = initCode;
    }
    public Date getInitTime() {
        return initTime;
    }
    public void setInitTime(Date initTime) {
        this.initTime = initTime;
    }
    @Override
    public String toString() {
        return "MachineWaitInit [initId=" + initId + ", initOpenId="
                + initOpenId + ", initCode=" + initCode + ", initTime="
                + initTime + "]";
    }
	public Integer getInitState() {
		return initState;
	}
	public void setInitState(Integer initState) {
		this.initState = initState;
	}
    
}
